/// <reference types="angular" />
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, IController, ITranscludeFunction } from "angular";
import { KeyProcessorService } from "../services/key-processor.service";
export declare class OnKeyboardDirective extends DirectiveBase {
    private keyProcessor;
    constructor(keyProcessor: KeyProcessorService);
    protected onInit(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(keyProcessor: KeyProcessorService): OnKeyboardDirective;
}
